=== debian/control ===
Source: intelrdfpmath
Priority: optional
Maintainer: Christian Stalp <chris@chrishell.de>
Uploaders: Stephen Kitt <skitt@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.2
Section: libdevel
Homepage: https://software.intel.com/en-us/articles/intel-decimal-floating-point-math-library
Vcs-Browser: https://salsa.debian.org/debian/intelrdfpmath
Vcs-Git: https://salsa.debian.org/debian/intelrdfpmath.git
Rules-Requires-Root: no

Package: libintelrdfpmath-dev
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Intel Decimal Floating-Point Math Library
 Software implementation of the IEEE 754-2008 Decimal Floating-Point
 Arithmetic specification, aimed at financial applications, especially
 in cases where legal requirements make it necessary to use decimal, and
 not binary floating-point arithmetic (as computation performed with
 binary floating-point operations may introduce small, but unacceptable
 errors).
 .
 This library is only fully supported on amd64, i386, and ia64. It
 builds on several other Debian architectures, but you should check
 the test results to determine whether it is suitable for your
 purposes.
