=== debian/watch ===
version=4

opts="uversionmangle=s/([\d]+)([\d]+)U([\d]+)/\\1.\\2u\\3/,filenamemangle=s/IntelRDFPMathLib/intelrdfpmath/" \
 https://www.netlib.org/misc/intel/ IntelRDFPMathLib([\dU]+)\.tar\.gz debian uupdate
