=== debian/rules ===
--- 
+++ 
@@ -22,12 +22,12 @@
 	set -e; for CALL_BY_REF in 0 1 ; do \
 		for GLOBAL_RND in 0 1 ; do \
 			for GLOBAL_FLAGS in 0 1 ; do \
-				dh_auto_build -DLIBRARY -- CC=$(CC) CC_NAME_INDEX=3 CC_INDEX=3 _HOST_ARCH=$(DEB_HOST_GNU_CPU) CALL_BY_REF=$${CALL_BY_REF} GLOBAL_RND=$${GLOBAL_RND} GLOBAL_FLAGS=$${GLOBAL_FLAGS} UNCHANGED_BINARY_FLAGS=0; \
+				dh_auto_build -DLIBRARY -- CC=$(CC) CC_NAME_INDEX=4 CC_INDEX=4 _HOST_ARCH=$(DEB_HOST_GNU_CPU) CALL_BY_REF=$${CALL_BY_REF} GLOBAL_RND=$${GLOBAL_RND} GLOBAL_FLAGS=$${GLOBAL_FLAGS} UNCHANGED_BINARY_FLAGS=0; \
 				mv LIBRARY/libbid.a LIBRARY/libbidgcc$${CALL_BY_REF}$${GLOBAL_RND}$${GLOBAL_FLAGS}.a; \
-				dh_auto_build -DLIBRARY -- CC_NAME_INDEX=3 CC_INDEX=3 _HOST_ARCH=$(DEB_HOST_GNU_CPU) clean; \
-				dh_auto_build -DLIBRARY -- CC=$(CC) CC_NAME_INDEX=3 CC_INDEX=3 _HOST_ARCH=$(DEB_HOST_GNU_CPU) CALL_BY_REF=$${CALL_BY_REF} GLOBAL_RND=$${GLOBAL_RND} GLOBAL_FLAGS=$${GLOBAL_FLAGS} UNCHANGED_BINARY_FLAGS=1; \
+				dh_auto_build -DLIBRARY -- CC_NAME_INDEX=4 CC_INDEX=4 _HOST_ARCH=$(DEB_HOST_GNU_CPU) clean; \
+				dh_auto_build -DLIBRARY -- CC=$(CC) CC_NAME_INDEX=4 CC_INDEX=4 _HOST_ARCH=$(DEB_HOST_GNU_CPU) CALL_BY_REF=$${CALL_BY_REF} GLOBAL_RND=$${GLOBAL_RND} GLOBAL_FLAGS=$${GLOBAL_FLAGS} UNCHANGED_BINARY_FLAGS=1; \
 				mv LIBRARY/libbid.a LIBRARY/libbidgcc$${CALL_BY_REF}$${GLOBAL_RND}$${GLOBAL_FLAGS}b.a; \
-				dh_auto_build -DLIBRARY -- CC_NAME_INDEX=3 CC_INDEX=3 _HOST_ARCH=$(DEB_HOST_GNU_CPU) clean; \
+				dh_auto_build -DLIBRARY -- CC_NAME_INDEX=4 CC_INDEX=4 _HOST_ARCH=$(DEB_HOST_GNU_CPU) clean; \
 			done \
 		done \
 	done
