## intelrdfpmath 2.0u4

=== debian/changelog ===
intelrdfpmath (2.0u4-2) unstable; urgency=medium

  * Avoid fexcept_t conflicts by including fenv.h in all cases.

 -- Stephen Kitt <skitt@debian.org>  Wed, 25 Feb 2026 17:14:25 +0100

intelrdfpmath (2.0u4-1) unstable; urgency=medium

  * New upstream release.
  * Drop “Rules-Requires-Root: no” since it’s now the default.
  * Drop “Priority: optional” since it’s now the default.
  * Standards-Version 4.7.3, no further change required.
  * Add a README.Debian file describing the library variants. Closes:
    #1128819.

 -- Stephen Kitt <skitt@debian.org>  Wed, 25 Feb 2026 13:39:52 +0100
