=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: intelrdfpmath
-Priority: optional
 Maintainer: Christian Stalp <christian.stalp@mailbox.org>
 Uploaders: Stephen Kitt <skitt@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Section: libdevel
 Homepage: https://software.intel.com/en-us/articles/intel-decimal-floating-point-math-library
 Vcs-Browser: https://salsa.debian.org/debian/intelrdfpmath
 Vcs-Git: https://salsa.debian.org/debian/intelrdfpmath.git
-Rules-Requires-Root: no
 
 Package: libintelrdfpmath-dev
 Architecture: any
